> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List notifications

>  

All notifications for the user can be listed, including notifications created by MX for other channels besides `PUSH`.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /users/{user_guid}/notifications
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/notifications:
    parameters:
      - $ref: '#/components/parameters/userGuid'
    get:
      tags:
        - notifications
      summary: List notifications
      description: >-
        All notifications for the user can be listed, including notifications
        created by MX for other channels besides `PUSH`.
      operationId: listNotifications
      parameters:
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/recordsPerPageMax1000'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationsResponseBody'
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
    fromDate:
      description: >-
        Filter transactions from this date. This only supports ISO 8601 format
        without timestamp (YYYY-MM-DD). Defaults to 120 days ago if not
        provided.
      example: '2024-01-01'
      in: query
      name: from_date
      schema:
        type: string
    toDate:
      description: >-
        Filter transactions to this date (at midnight). This only supports ISO
        8601 format without timestamp (YYYY-MM-DD). Defaults to 5 days forward
        from the day the request is made to capture pending transactions.
      example: '2024-03-31'
      in: query
      name: to_date
      schema:
        type: string
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    recordsPerPageMax1000:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `1000`. If the value
        exceeds `1000`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
  schemas:
    NotificationsResponseBody:
      properties:
        notifications:
          items:
            $ref: '#/components/schemas/NotificationResponse'
      type: object
    NotificationResponse:
      properties:
        guid:
          example: TF-b53294f5-2356-4782-9f81-ae064c42b40a
        content:
          example: The content related to the notification.
        deep_link_guid:
          example: BGT-e386a323-e452-47f2-b2fd-1ac3c18533de
        delivered_at:
          example: null
        entity_guid:
          example: BGT-e386a323-e452-47f2-b2fd-1ac3c18533de
        has_been_delivered:
          example: true
        has_been_viewed:
          example: false
        notification_type:
          example: 2
        subject:
          example: >-
            You're projected to spend $1,920.07 more than you've budgeted for
            Fees & Charges. You've already spent $65.67 of $316.00.
        channel:
          example: push
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````